cancel
Showing results for 
Search instead for 
Did you mean: 

getting issue to install tkinter in Stm32Mp1

Ranjeet Singh
Senior

i am getting issue to install Tkinter .

RanjeetSingh_0-1698470977216.png

 

error - E: Unable to locate package python3-tk

does we can not install Tkinter in STM32MP1 ? if there is anyway to install it then please let me know .

1 REPLY 1
Erwan SZYMANSKI
ST Employee

Hello @Ranjeet Singh ,
I am not sure Tkinter is proposed by default as a package downloadable on ST package repo. However, on OpenSTLinux distribution (Yocto Distribution Package), you can see this in layers/openembedded-core/meta/recipes-devtools/python/python3_3.11.2.bb :

RDEPENDS:${PN}-tkinter += "${@bb.utils.contains('PACKAGECONFIG', 'tk', '${MLPREFIX}tk ${MLPREFIX}tk-lib', '', d)}"

I think you can try a Yocto compilation with adding the "tk" PACKAGECONFIG to your Image configuration. 

If you are not familiar with Yocto and Distribution Package, please take a look at the following article : https://wiki.st.com/stm32mpu/wiki/STM32MP1_Distribution_Package

Kind regards,
Erwan.

In order to give better visibility on the answered topics, please click on 'Accept as Solution' on the reply which solved your issue or answered your question.